package org.springblade.modules.api.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 地址请求实体
 *
 * @author xuwei
 */
@Data
@ApiModel(value = "确认打款清单", description = "请求实体类")
public class ConsignPayRequest implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty("批次id")
	private Long consignConfigId;

	@ApiModelProperty("寄售单id列表")
	private List<Long> consignId;

	@ApiModelProperty("付款方式0为平台，1为特殊账号")
	private Integer payType;
}
